summaryrefslogtreecommitdiff
path: root/source4/librpc/tests
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-09-16 19:07:59 +0200
committerJelmer Vernooij <jelmer@samba.org>2008-09-16 19:07:59 +0200
commit323346f7b01314bdec418d585fae236f736068fa (patch)
tree358f09d4966f6ae6973104567e36b4b011bfd51e /source4/librpc/tests
parentcda87628bc607d6aba1ee9c8a904c86080c974d8 (diff)
parent9c466a61588cf7eb442450d57cf2a46355e8907a (diff)
downloadsamba-323346f7b01314bdec418d585fae236f736068fa.tar.gz
samba-323346f7b01314bdec418d585fae236f736068fa.tar.bz2
samba-323346f7b01314bdec418d585fae236f736068fa.zip
Merge branch 'singlecompression' into single
Diffstat (limited to 'source4/librpc/tests')
-rw-r--r--source4/librpc/tests/samr-CreateUser-in.datbin0 -> 60 bytes
-rw-r--r--source4/librpc/tests/samr-CreateUser-out.datbin0 -> 32 bytes
-rwxr-xr-xsource4/librpc/tests/test_ndrdump.sh20
3 files changed, 20 insertions, 0 deletions
diff --git a/source4/librpc/tests/samr-CreateUser-in.dat b/source4/librpc/tests/samr-CreateUser-in.dat
new file mode 100644
index 0000000000..a5840e1f7f
--- /dev/null
+++ b/source4/librpc/tests/samr-CreateUser-in.dat
Binary files differ
diff --git a/source4/librpc/tests/samr-CreateUser-out.dat b/source4/librpc/tests/samr-CreateUser-out.dat
new file mode 100644
index 0000000000..cf9131dba9
--- /dev/null
+++ b/source4/librpc/tests/samr-CreateUser-out.dat
Binary files differ
diff --git a/source4/librpc/tests/test_ndrdump.sh b/source4/librpc/tests/test_ndrdump.sh
new file mode 100755
index 0000000000..dddfc0eae1
--- /dev/null
+++ b/source4/librpc/tests/test_ndrdump.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Blackbox tests for masktest
+# Copyright (C) 2008 Andrew Tridgell
+# Copyright (C) 2008 Andrew Bartlett
+# based on test_smbclient.sh
+
+. `dirname $0`/../../../testprogs/blackbox/subunit.sh
+
+failed=0
+
+samba4bindir=`dirname $0`/../../source4/bin
+ndrdump=$samba4bindir/ndrdump
+files=`dirname $0`/ndrdump
+
+testit "ndrdump with in" $VALGRIND $ndrdump samr samr_CreateUser in $files/samr-CreateUser-in.dat $@ || failed=`expr $failed + 1`
+testit "ndrdump with out" $VALGRIND $ndrdump samr samr_CreateUser out $files/samr-CreateUser-out.dat $@ || failed=`expr $failed + 1`
+testit "ndrdump with --context-file" $VALGRIND $ndrdump --context-file $files/samr-CreateUser-in.dat samr samr_CreateUser out $files/samr-CreateUser-out.dat $@ || failed=`expr $failed + 1`
+testit "ndrdump with validate" $VALGRIND $ndrdump --validate samr samr_CreateUser in $files/samr-CreateUser-in.dat $@ || failed=`expr $failed + 1`
+
+exit $failed